
/* idirect3d8.cpp - IDirect3dbasetexture8.cpp
 *
 * dxglwrapper 0.08 - Sept. 12, 2002
 * For conditions of distribution and use, see copyright notice in dxgl.h
 * Copyright (c) 1991-2002 realtech VR
 *
 * This file provides implementation of the IDirect3DBaseTexture8 COM Class
 */

#include "dxgl.h"

BIDirect3DBaseTexture8::BIDirect3DBaseTexture8(IDirect3DDevice8 *pDevice) : m_pDevice(pDevice), m_refCount(0)
{
	APIDEBUG(NO API DEBUG FOR BASETEXTURE);	
}

ULONG
BIDirect3DBaseTexture8::AddRef()
{
	m_refCount++;
	return 0;
}

HRESULT 
BIDirect3DBaseTexture8::FreePrivateData(REFGUID refguid)
{
	return 0;
}

HRESULT
BIDirect3DBaseTexture8::GetDevice(IDirect3DDevice8 **ppDevice)
{
	m_pDevice->AddRef();
	*ppDevice = m_pDevice;
	return 0;
}

DWORD
BIDirect3DBaseTexture8::GetLevelCount()
{
	return 0;
}

DWORD
BIDirect3DBaseTexture8::GetLOD()
{
	return 0;
}

DWORD
BIDirect3DBaseTexture8::GetPriority()
{
	return 0;
}

HRESULT
BIDirect3DBaseTexture8::GetPrivateData(REFGUID refguid, void *pData, DWORD *pSizeOfData)
{
	return 0;
}

D3DRESOURCETYPE
BIDirect3DBaseTexture8::GetType()
{
	return D3DRTYPE_TEXTURE;
}

void
BIDirect3DBaseTexture8::PreLoad()
{
	return ;
}

HRESULT
BIDirect3DBaseTexture8::QueryInterface(REFIID, void **ppvObj)
{
	return 0;
}

ULONG
BIDirect3DBaseTexture8::Release()
{	
	m_refCount--;
	if (m_refCount < 0)
	{
		delete this;
	}
	return 0;
}

DWORD
BIDirect3DBaseTexture8::SetPriority(DWORD PriorityNew)
{
	return 0;
}

HRESULT
BIDirect3DBaseTexture8::SetPrivateData(REFGUID refguid, CONST void *pData, DWORD SizeOfData, DWORD Flags)
{
	return 0;
}

DWORD BIDirect3DBaseTexture8::SetLOD(DWORD LODNew)
{
	return 0;
}